# Genetic Lookup for Apt Substances (GLAS)
[![DOI](https://zenodo.org/badge/284091216.svg)](https://zenodo.org/badge/latestdoi/284091216) [![arXiv](https://img.shields.io/badge/arXiv-2008.09187-b31b1b.svg)](https://arxiv.org/abs/2008.09187)

Python module for solving the inverse design of materials.

## What is it?
GLAS offers a helper class to facilitate the inverse design of new materials. All the genetic algorithm code is handled by the [DEAP](https://github.com/DEAP/deap) module.

## How to install
The source code is hosted on GitHub at https://github.com/drcassar/glas.

Binary installers for the latest released version are available at the [Python Package Index](https://pypi.org/project/glas/). To install GLAS using pip run

```sh
pip install glas
```

## Dependencies
- [Python 3.6+](https://www.python.org/)
- [DEAP](https://github.com/DEAP/deap)

## Examples
See the [examples](https://github.com/drcassar/glas/tree/master/examples) directory.

## How to cite
Cassar, D.R., Santos, G.G., and Zanotto, E.D. (2020). Designing optical glasses by machine learning coupled with genetic algorithms. ArXiv:2008.09187 [Cond-Mat, Physics:Physics].

## GLAS license
[GPL](https://github.com/drcassar/glas/blob/master/LICENSE)

GLAS, Python module for solving the inverse design of glasses. Copyright (C) 2020 Daniel Roberto Cassar

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
